Bug 534206 - (RHQ-1024) partitioning algorithm should pair agent/server if on same machine
partitioning algorithm should pair agent/server if on same machine
Status: NEW
Product: RHQ Project
Classification: Other
Component: High Availability (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 09:53 EDT by John Mazzitelli
Modified: 2010-08-31 10:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-10-24 09:53:00 EDT
If an agent is running on the same box as a server, the  partitioning algorithm should make that server the agent's primary, for the simple fact that the agent won't need to route its traffic outside of that machine's network adapter since both are co-located.
Comment 1 Red Hat Bugzilla 2009-11-10 15:22:06 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1024
Comment 2 wes hayutin 2010-02-16 12:09:17 EST
mass add of key word FutureFeature to help track
Comment 3 Corey Welton 2010-08-18 11:02:49 EDT
Per triage, this has been moved to ON_QA with the expectation that is is fixed.  If not, please reopen, otherwise close.
Comment 4 John Mazzitelli 2010-08-31 10:22:34 EDT
This was never fixed.
Comment 5 John Mazzitelli 2010-08-31 10:27:20 EDT
this can easily be "worked around" by using affinity - such that the agent has affinity with the server that is running on the same box.

Note You need to log in before you can comment on or make changes to this bug.